components:
  schemas:

    DisciplineResponse:
      type: object
      properties:
        id:
          type: string
          description: Discipline unique identifier
          example: 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
        name:
          type: string
          description: Discipline name
          example: "Mathematics"
        description:
          type: string
          description: Discipline description
          example: "Mathematics and related subjects"
        category_id:
          type: string
          description: Category ID
          example: 019be1a6-3fde-73f0-a761-c3c696ab1f6a
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
          example: "2023-10-15T14:30:00.000Z"
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
          example: "2023-10-15T14:30:00.000Z"